> For the complete documentation index, see [llms.txt](https://docs.qatts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.qatts.com/file-action-methods.md).

# File Action Methods

#### File Locations

<table><thead><tr><th>Location</th><th width="150">ShortCut</th><th>Description</th></tr></thead><tbody><tr><td>testdata</td><td>td:</td><td>Default location for any read operations. For example: File Upload, Smarties: Excel Read</td></tr><tr><td>userdata</td><td>ud:</td><td></td></tr><tr><td>localdata</td><td>ld:</td><td>Locally managed files location on the node. Configured from agent properties </td></tr><tr><td>Outside files</td><td></td><td>Can be any folder on the system that task have permission. Must be specified with drive name</td></tr></tbody></table>

#### File Methods

* boolean [assertFile](#undefined)(String fileName, String propName, String propValue)
* boolean waitForFile(String fileName,Integer timeout)
* boolean deleteFile(String fileName)
* copyFile()


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/file-action-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
